Package org.apache.sling.engine.auth

# Class AuthenticationInfo

java.lang.Object
org.apache.sling.engine.auth.AuthenticationInfo

@Deprecated public class AuthenticationInfo extends Object
Deprecated.
see `AuthenticationHandler`
The `AuthenticationInfo` defines the data returned from the `AuthenticationHandler.authenticate(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)` method.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AuthenticationInfo`
`DOING_AUTH`
Deprecated.
This object is returned by the `AuthenticationHandler.authenticate(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)` method to indicate an ongoing authentication transaction.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationInfo(String authType, javax.jcr.Credentials credentials)`
Deprecated.
Creates an instance of this class with the given authentication type and credentials connecting to the default workspace as if the `AuthenticationInfo(String, Credentials, String)` method would be called with a `null` workspace name.
`AuthenticationInfo(String authType, javax.jcr.Credentials credentials, String workspaceName)`
Deprecated.
Creates an instance of this class with the given authentication type and credentials.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthType()`
Deprecated.
Returns type of authentication provisioning.
`javax.jcr.Credentials`
`getCredentials()`
Deprecated.
Returns the credentials extracted from the client request to use for authentication.
`String`
`getWorkspaceName()`
Deprecated.
Returns the name of the workspace the user contained in this instance wishes to connect to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DOING_AUTH

public static final AuthenticationInfo DOING_AUTH
Deprecated.
This object is returned by the `AuthenticationHandler.authenticate(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)` method to indicate an ongoing authentication transaction.

## Constructor Details

### AuthenticationInfo

public AuthenticationInfo(String authType, javax.jcr.Credentials credentials)
Deprecated.
Creates an instance of this class with the given authentication type and credentials connecting to the default workspace as if the `AuthenticationInfo(String, Credentials, String)` method would be called with a `null` workspace name.

Parameters:
  `authType` - The authentication type, must not be `null`.
  `credentials` - The credentials, must not be `null`.
See Also:
  - `getAuthType()`
  - `getCredentials()`

### AuthenticationInfo

public AuthenticationInfo(String authType, javax.jcr.Credentials credentials, String workspaceName)
Deprecated.
Creates an instance of this class with the given authentication type and credentials.

Parameters:
  `authType` - The authentication type, must not be `null`.
  `credentials` - The credentials, must not be `null`.
  `workspaceName` - The name of the workspace to connect to, may be `null` to connect to the default workspace.
See Also:
  - `getAuthType()`
  - `getCredentials()`

## Method Details

### getAuthType

public String getAuthType()
Deprecated.
Returns type of authentication provisioning.

If authentication is taking place through one of the standard ways, such as Basic or Digest, the return value is one of the predefined constants of the `HttpServletRequest` interface. Otherwise the value may be specific to the `AuthenticationHandler` implementation.

Returns:
  The authentication type

### getCredentials

public javax.jcr.Credentials getCredentials()
Deprecated.
Returns the credentials extracted from the client request to use for authentication.

Returns:
  The extracted credentials

### getWorkspaceName

public String getWorkspaceName()
Deprecated.
Returns the name of the workspace the user contained in this instance wishes to connect to. This may be `null`, in which case the user is connected to the default workspace.

Returns:
  The name of the workspace